Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.autoscaling.model
Class Activity

    java.lang.Object
      com.amazonaws.services.autoscaling.model.Activity

    public class Activity

extends Object

The Activity data type.

Constructor Summary
`Activity()`

Method Summary
`String` | `getActivityId()` Specifies the ID of the activity.
`String` | `getCause()` Contains the reason the activity was begun.
`String` | `getDescription()` Contains a friendly, more verbose description of the scaling activity.
`Date` | `getEndTime()` Provides the end time of this activity.
`Integer` | `getProgress()` Specifies a value between 0 and 100 that indicates the progress of the activity.
`Date` | `getStartTime()` Provides the start time of this activity.
`String` | `getStatusCode()` Contains the current status of the activity.
`String` | `getStatusMessage()` Contains a friendly, more verbose description of the activity status.
`void` | `setActivityId(String activityId)` Specifies the ID of the activity.
`void` | `setCause(String cause)` Contains the reason the activity was begun.
`void` | `setDescription(String description)` Contains a friendly, more verbose description of the scaling activity.
`void` | `setEndTime(Date endTime)` Provides the end time of this activity.
`void` | `setProgress(Integer progress)` Specifies a value between 0 and 100 that indicates the progress of the activity.
`void` | `setStartTime(Date startTime)` Provides the start time of this activity.
`void` | `setStatusCode(String statusCode)` Contains the current status of the activity.
`void` | `setStatusMessage(String statusMessage)` Contains a friendly, more verbose description of the activity status.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`Activity` | `withActivityId(String activityId)` Specifies the ID of the activity.
`Activity` | `withCause(String cause)` Contains the reason the activity was begun.
`Activity` | `withDescription(String description)` Contains a friendly, more verbose description of the scaling activity.
`Activity` | `withEndTime(Date endTime)` Provides the end time of this activity.
`Activity` | `withProgress(Integer progress)` Specifies a value between 0 and 100 that indicates the progress of the activity.
`Activity` | `withStartTime(Date startTime)` Provides the start time of this activity.
`Activity` | `withStatusCode(String statusCode)` Contains the current status of the activity.
`Activity` | `withStatusMessage(String statusMessage)` Contains a friendly, more verbose description of the activity status.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Activity

    public Activity()

Method Detail

### getActivityId

    public String getActivityId()

  Specifies the ID of the activity.

  Constraints:
  Pattern: [ -??-??-?\r\n\t]*

  Returns:
    Specifies the ID of the activity.

### setActivityId

    public void setActivityId(String activityId)

  Specifies the ID of the activity.

  Constraints:
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `activityId` - Specifies the ID of the activity.

### withActivityId

    public Activity withActivityId(String activityId)

  Specifies the ID of the activity.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `activityId` - Specifies the ID of the activity.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getDescription

    public String getDescription()

  Contains a friendly, more verbose description of the scaling activity.

  Constraints:
  Pattern: [ -??-??-?\r\n\t]*

  Returns:
    Contains a friendly, more verbose description of the scaling activity.

### setDescription

    public void setDescription(String description)

  Contains a friendly, more verbose description of the scaling activity.

  Constraints:
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `description` - Contains a friendly, more verbose description of the scaling activity.

### withDescription

    public Activity withDescription(String description)

  Contains a friendly, more verbose description of the scaling activity.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `description` - Contains a friendly, more verbose description of the scaling activity.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getCause

    public String getCause()

  Contains the reason the activity was begun.

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Returns:
    Contains the reason the activity was begun.

### setCause

    public void setCause(String cause)

  Contains the reason the activity was begun.

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `cause` - Contains the reason the activity was begun.

### withCause

    public Activity withCause(String cause)

  Contains the reason the activity was begun.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `cause` - Contains the reason the activity was begun.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getStartTime

    public Date getStartTime()

  Provides the start time of this activity.

  Returns:
    Provides the start time of this activity.

### setStartTime

    public void setStartTime(Date startTime)

  Provides the start time of this activity.

  Parameters:
    `startTime` - Provides the start time of this activity.

### withStartTime

    public Activity withStartTime(Date startTime)

  Provides the start time of this activity.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `startTime` - Provides the start time of this activity.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getEndTime

    public Date getEndTime()

  Provides the end time of this activity.

  Returns:
    Provides the end time of this activity.

### setEndTime

    public void setEndTime(Date endTime)

  Provides the end time of this activity.

  Parameters:
    `endTime` - Provides the end time of this activity.

### withEndTime

    public Activity withEndTime(Date endTime)

  Provides the end time of this activity.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `endTime` - Provides the end time of this activity.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getStatusCode

    public String getStatusCode()

  Contains the current status of the activity.

  Constraints:
  Pattern: [ -??-??-?\r\n\t]*

  Returns:
    Contains the current status of the activity.

### setStatusCode

    public void setStatusCode(String statusCode)

  Contains the current status of the activity.

  Constraints:
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `statusCode` - Contains the current status of the activity.

### withStatusCode

    public Activity withStatusCode(String statusCode)

  Contains the current status of the activity.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `statusCode` - Contains the current status of the activity.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getStatusMessage

    public String getStatusMessage()

  Contains a friendly, more verbose description of the activity status.

  Constraints:
  Pattern: [ -??-??-?\r\n\t]*

  Returns:
    Contains a friendly, more verbose description of the activity status.

### setStatusMessage

    public void setStatusMessage(String statusMessage)

  Contains a friendly, more verbose description of the activity status.

  Constraints:
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `statusMessage` - Contains a friendly, more verbose description of the activity status.

### withStatusMessage

    public Activity withStatusMessage(String statusMessage)

  Contains a friendly, more verbose description of the activity status.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `statusMessage` - Contains a friendly, more verbose description of the activity status.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getProgress

    public Integer getProgress()

  Specifies a value between 0 and 100 that indicates the progress of the activity.

  Returns:
    Specifies a value between 0 and 100 that indicates the progress of the activity.

### setProgress

    public void setProgress(Integer progress)

  Specifies a value between 0 and 100 that indicates the progress of the activity.

  Parameters:
    `progress` - Specifies a value between 0 and 100 that indicates the progress of the activity.

### withProgress

    public Activity withProgress(Integer progress)

  Specifies a value between 0 and 100 that indicates the progress of the activity.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `progress` - Specifies a value between 0 and 100 that indicates the progress of the activity.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.